Last Comment Bug 686371 - Fix pixman compilation for iOS
: Fix pixman compilation for iOS
Status: RESOLVED FIXED
[iOS] fixed-in-bs
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: ARM iOS 4
: -- normal (vote)
: mozilla10
Assigned To: Ted Mielczarek [:ted.mielczarek]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-12 15:46 PDT by Ted Mielczarek [:ted.mielczarek]
Modified: 2011-10-11 05:21 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use C fallback on iOS (941 bytes, patch)
2011-09-12 15:51 PDT, Ted Mielczarek [:ted.mielczarek]
jmuizelaar: review+
Details | Diff | Review

Description Ted Mielczarek [:ted.mielczarek] 2011-09-12 15:46:20 PDT
Currently Apple's assembler can't handle the ARM assembly pixman has. I have a patch that makes us use the C fallbacks, but that seems like a crummy way to go. I'm sure the actual assembly code works fine, it would just need to be massaged to make Apple as happy.
Comment 1 Ted Mielczarek [:ted.mielczarek] 2011-09-12 15:51:21 PDT
Created attachment 559906 [details] [diff] [review]
Use C fallback on iOS

Here's the patch to use the C fallback. It's not great, but it's the easiest thing to start with.
Comment 2 Ted Mielczarek [:ted.mielczarek] 2011-09-14 10:12:29 PDT
Comment on attachment 559906 [details] [diff] [review]
Use C fallback on iOS

Jeff and I talked about this yesterday, this is the easiest solution for now. Once clang's ARM/iOS assembler is in a better state, we'll revisit this.
Comment 3 Jeff Muizelaar [:jrmuizel] 2011-09-20 07:51:54 PDT
Comment on attachment 559906 [details] [diff] [review]
Use C fallback on iOS

Please add a comment about why, so that it's easy to take this out in the future.
Comment 4 Ted Mielczarek [:ted.mielczarek] 2011-10-10 13:03:22 PDT
http://hg.mozilla.org/projects/build-system/rev/7641937ce773
Comment 5 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2011-10-11 05:21:55 PDT
https://hg.mozilla.org/mozilla-central/rev/7641937ce773

Note You need to log in before you can comment on or make changes to this bug.